From c807662539df58b47369889964a55f341108e853 Mon Sep 17 00:00:00 2001
From: Helmut Pozimski <helmut@pozimski.eu>
Date: Mon, 10 Jun 2019 11:48:17 +0200
Subject: [PATCH] bind: update to 9.14.2.

---
 common/shlibs         | 13 +++++++------
 srcpkgs/bind/INSTALL  |  2 +-
 srcpkgs/bind/template | 24 ++++++++----------------
 3 files changed, 16 insertions(+), 23 deletions(-)

diff --git a/common/shlibs b/common/shlibs
index dc704d7c9ab..0a2b4c1a949 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -1041,13 +1041,14 @@ libgssglue.so.1 libgssglue-0.3_1
 libtirpc.so.3 libtirpc-1.0.2_1
 librpcsecgss.so.3 librpcsecgss-0.19_1
 libnfsidmap.so.0 libnfsidmap-0.24_1
-libbind9.so.161 bind-libs-9.11.5_1
-libdns.so.1106 bind-libs-9.11.7_1
-libirs.so.161 bind-libs-9.11.5_1
-libisc.so.1100 bind-libs-9.11.5_1
-libisccc.so.161 bind-libs-9.11.5_1
-libisccfg.so.163 bind-libs-9.11.5_1
+libbind9.so.1302 bind-libs-9.14.2_1
+libdns.so.1308 bind-libs-9.14.2_1
+libirs.so.1301 bind-libs-9.14.2_1
+libisc.so.1308 bind-libs-9.14.2_1
+libisccc.so.1302 bind-libs-9.14.2_1
+libisccfg.so.1302 bind-libs-9.14.2_1
 liblwres.so.161 bind-libs-9.11.5_1
+libns.so.1306 bind-libs-9.14.2_1 
 libplist.so.3 libplist-1.12_1
 libplist++.so.3 libplist++-1.12_1
 libnsbmp.so.0 libnsbmp-0.0.3_1
diff --git a/srcpkgs/bind/INSTALL b/srcpkgs/bind/INSTALL
index 025af19f8df..85a13760010 100644
--- a/srcpkgs/bind/INSTALL
+++ b/srcpkgs/bind/INSTALL
@@ -6,7 +6,7 @@ post)
 
 	# create an rndc.key if it doesn't already exist
 	if [ ! -s etc/named/rndc.key ]; then
-		usr/bin/rndc-confgen -r /dev/urandom -b 256 | \
+		usr/bin/rndc-confgen -b 256 | \
 			head -n 5 >> etc/named/rndc.key
 		chown root:named etc/named/rndc.key
 		chmod 644 etc/named/rndc.key
diff --git a/srcpkgs/bind/template b/srcpkgs/bind/template
index db9180dbb66..860356a58d1 100644
--- a/srcpkgs/bind/template
+++ b/srcpkgs/bind/template
@@ -1,27 +1,24 @@
 # Template file for 'bind'
 pkgname=bind
-reverts="9.13.6_1"
-version=9.11.7
+version=9.14.2
 revision=1
 _fullver="${version}${_patchver:+-${_patchver}}"
 wrksrc="${pkgname}-${_fullver}"
 build_style=gnu-configure
-configure_args="--disable-static --enable-threads --enable-largefile
- --with-libtool --enable-atomic --sysconfdir=/etc/named --enable-epoll
- --enable-ipv6 --with-randomdev=/dev/random --with-ecdsa=yes --with-eddsa=no
+configure_args="--disable-static --enable-largefile
+ --with-libtool --sysconfdir=/etc/named --enable-epoll --enable-ipv6
  --with-libtool --with-openssl=${XBPS_CROSS_BASE}/usr --without-gssapi --without-gost
- --enable-openssl-hash --with-readline --with-tuning=default --without-python
- --enable-fetchlimit --enable-sit --with-libidn2 $(vopt_enable seccomp)
+ --with-readline --with-tuning=default --without-python --with-libidn2
  $(vopt_if geoip "--with-geoip=${XBPS_CROSS_BASE}/usr" "--without-geoip")"
-hostmakedepends="automake libtool perl"
+hostmakedepends="automake libtool perl pkg-config"
 makedepends="libressl-devel libxml2-devel libcap-devel readline-devel libatomic-devel
- libidn2-devel $(vopt_if geoip geoip-devel) $(vopt_if seccomp libseccomp-devel)"
+ libidn2-devel $(vopt_if geoip geoip-devel)"
 short_desc="Berkeley Internet Name Domain server"
 maintainer="Juan RP <xtraeme@voidlinux.org>"
 license="ISC"
 homepage="https://www.isc.org/downloads/bind/"
 distfiles="https://ftp.isc.org/isc/bind9/${_fullver}/bind-${_fullver}.tar.gz"
-checksum=5b9e86dc5711a1a7448356c02ddb23bb1dd78c9e02a69f9b2e2ce31d39f5a0fd
+checksum=0e4027573726502ec038db3973a086c02508671723a4845e21da1769a5c27f0c
 
 conf_files="/etc/named/named.conf"
 system_accounts="named"
@@ -29,13 +26,9 @@ named_descr="BIND DNS server"
 named_homedir="/var/named"
 make_dirs="/var/named 0770 root named"
 
-build_options="geoip seccomp"
+build_options="geoip"
 build_options_default="geoip"
 
-case "$XBPS_TARGET_MACHINE" in
-	x86_64*|i686*) build_options_default+=" seccomp";;
-esac
-
 do_check() {
 	# requires special network setup
 	:
@@ -78,7 +71,6 @@ bind-devel_package() {
 		vmove usr/share/man/man1/isc-config.sh.1
 		vmove usr/share/man/man1/bind9-config.1
 		vmove usr/include
-		vmove usr/share/man/man3
 		vmove usr/lib/*.so
 	}
 }
